Page MenuHomePhabricator

Clicking on a link in the gallery label opens the link in the same tab
Closed, ResolvedPublic1 Story Points

Description

In a page with a gallery if the user copies the source content of the gallery section and then clicks on a url that exists as a label for a gallery content, then the link is opened in the same tab as Special:CX. If the page has been recently saved then no warning is displayed. If the page has unsaved changes then a warning is displayed. After being taken to the linked page, if the user uses the previous/back option from the browser to return to Special:CX then the copied over gallery section appears empty.

Tested while translating https://en.wikipedia.org/wiki/Torre_Latinoamericana from English to Bangla.

Event Timeline

Arrbee created this task.Aug 4 2015, 6:52 AM
Arrbee raised the priority of this task from to Needs Triage.
Arrbee updated the task description. (Show Details)
Arrbee added a project: ContentTranslation.
Arrbee added a subscriber: Arrbee.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 6:52 AM

Change 229370 had a related patch set uploaded (by Santhosh):
Do not open the links in gallery image caption in same tab

https://gerrit.wikimedia.org/r/229370

santhosh claimed this task.Aug 5 2015, 12:07 PM
santhosh triaged this task as Normal priority.
santhosh added a project: LE-CX6-Sprint 1.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.
santhosh set Security to None.
santhosh edited a custom field.

Change 229370 merged by jenkins-bot:
Do not open the links in gallery image caption in same tab

https://gerrit.wikimedia.org/r/229370

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 7 2015, 7:02 AM
Arrbee closed this task as Resolved.Aug 11 2015, 7:05 AM